#!/usr/local/bin/perl

if (($#ARGV ne 0)||($ARGV[0] ne 'now'))
{
    print <<EOF;
usage: cleanup.pl now
  removes all shared memory and semaphores
  allocated for the current user.
  may be used to clean up after a CTNdisp breakdown.
  BEWARE: No error checking done...You know what you're doing...?
EOF
} else {


  $user=$ENV{'USER'};
  printf("\ncleaning up for user %s:\n",$user);

  $count=0;
  for (`ipcs -m | fgrep $user`)
  {
    ($type, $id, $rest) = split;
    $count+=1;
    `ipcrm -m $id`;
  }
  printf("  %d blocks of shared memory freed\n", $count);

  $count=0;
  for (`ipcs -s | fgrep $user`)
  {
    ($type, $id, $rest) = split;
    $count+=1;
    `ipcrm -s $id`;
  }
  printf("  %d semaphores freed.\n", $count);

}



