/*
**  Copyright (C) 1993/1994, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/
/*
 * Service Class Executive (SCE)
 * - Store Service Class Provider
 *
 * Author: 	Andrew Hewett
 *		Universitaet Oldenburg, Germany
 *
 * Last Update:		hewett
 * Revision:		1.1.1.1
 * Status:		Exp
 *
 * scestore.h,v 1.1.1.1 1996/03/28 19:24:59 hewett Exp 
 * 
 * scestore.h,v
 * Revision 1.1.1.1  1996/03/28 19:24:59  hewett
 * Oldenburg Image CTN Software ported to use the dcmdata C++ toolkit.
 *
 * Revision 2.1  1995/02/02 12:49:24  hewett
 * Corrected spelling of Ossietzky
 *
 * Revision 2.0  1994/11/17  09:44:07  meichel
 * Version 2.0 for RSNA 1994 demonstration.
 * New features: Metaheader support, new SOP classes, lots of bugs fixed.
 *
 * Revision 1.3  1994/03/17  09:27:45  hewett
 * Updated copyright notice.
 *
 * Revision 1.2  1993/10/14  10:46:06  hewett
 * Added Euro Header
 *
 * Revision 1.1  1993/08/30  09:48:32  hewett
 * Initial Revision
 *
 *
 */


#ifndef SCE_STORE_H
#define SCE_STORE_H

CONDITION
SCE_storeSCP(T_ASC_Association * assoc, T_DIMSE_C_StoreRQ * req,
	     T_ASC_PresentationContextID presId,
	     DB_Handle *dbHandle);

#endif
